/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package woaley;

/**
 *
 * @author Ani
 */
public class Position {
    private Integer row;
    private Integer house;

    public Position(Integer row, Integer house) {
        this.row = row;
        this.house = house;
    }

    public Integer getRow() {
        return row;
    }

    public Integer getHouse() {
        return house;
    }

    public void setRow(Integer row) {
        this.row = row;
    }

    public void setHouse(Integer house) {
        this.house = house;
    }

    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof Position)){
            return false;
        }

        Position pos = (Position) obj;

        return pos.row == this.row && pos.house == this.house;
    }



}
